package com.jay.monitor.data.client.api;

import com.jay.monitor.data.core.model.serializable.base.SearchIndexData;

import java.util.Map;

/**
 * 默认的索引存储模型
 *
 * @author liukaixiong
 * @date 2022/7/14 - 14:53
 */
public class DefaultIndexData implements SearchIndexData {

    private String groupName;
    private String groupKeyName;
    private String dataId;
    private String jsonContent;
    private Map<String, Object> extMap;

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public Map<String, Object> getExtMap() {
        return extMap;
    }

    public void setExtMap(Map<String, Object> extMap) {
        this.extMap = extMap;
    }

    @Override
    public String getGroupName() {
        return groupName;
    }

    @Override
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    @Override
    public String getGroupKeyName() {
        return groupKeyName;
    }

    @Override
    public void setGroupKeyName(String groupKeyName) {
        this.groupKeyName = groupKeyName;
    }

    @Override
    public String getDataId() {
        return dataId;
    }

    @Override
    public void setDataId(String dataId) {
        this.dataId = dataId;
    }
}
