package com.jay.monitor.data.server.store.es;

import com.jay.monitor.data.server.models.entity.es.GlobalBaseConfigIndex;
import com.jay.monitor.data.server.models.store.GlobalBaseConfig;
import com.jay.monitor.data.server.services.IGlobalBaseConfigProcess;
import org.springframework.stereotype.Component;

/**
 * 通用的增删改查配置
 *
 * @author liukaixiong

 * @date 2021/9/7 - 14:49
 */
@Component
public class ElasticGlobalBaseConfigProcess extends AbstractCRUDElasticSearch<GlobalBaseConfigIndex, GlobalBaseConfig>
    implements IGlobalBaseConfigProcess {

    @Override
    public Class<GlobalBaseConfigIndex> getEntityClazz() {
        return GlobalBaseConfigIndex.class;
    }

    @Override
    public Class<GlobalBaseConfig> getReqClazz() {
        return GlobalBaseConfig.class;
    }

}
