package com.jay.monitor.data.client.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @Module 配置类
 * @Description 相关kafka配置
 * @Author liukaixiong
 * @Date 2020/11/19 14:17
 */
@Configuration
@ConditionalOnBean(value = {KafkaTemplate.class})
public class KafkaMonitorAutoConfiguration {

//    @Bean
//    public KafkaMonitorProducer kafkaMonitorProducer() {
//        return new KafkaMonitorProducer();
//    }

//    @Bean
//    @ConditionalOnBean(value = {MessageListener.class})
//    public MonitorRuleFactory monitorRuleFactory() {
//        return new MonitorRuleFactory();
//    }

}
