package com.jay.monitor.data.server.enums;

import com.jay.monitor.data.server.componts.html.DataRender;

/**
 * 全局配置枚举
 *
 * @author liukaixiong
 * @date 2022/7/25 - 15:17
 */
public enum GlobalConfigGroupEnums implements DataRender {
    LINK_LOG_MONITOR_URL("监控链接地址定义"),
    LOGIN_USER_PASSWORD("用户账号密码定义"),
    GLOBAL_CONFIG_PROPS("全局配置"),
    Email("邮箱");
    private String describe;

    GlobalConfigGroupEnums(String describe) {
        this.describe = describe;
    }

    @Override
    public Object getCode() {
        return this.name();
    }

    @Override
    public String getLabel() {
        return this.describe;
    }

}
