package com.jay.monitor.data.server.models.request.global;

import com.jay.monitor.data.server.models.request.trace.PageRequest;

import java.util.Date;

/**
 * 全局基础配置管理
 *
 * @author liukaixiong
 * @date 2022/7/25 - 10:07
 */
public class GlobalBaseConfigRequest  extends PageRequest {
    private String id;
    /**
     * 组名
     */
    private String group;
    /**
     * 键名
     */
    private String project;
    /**
     * 编码
     */
    private String code;
    /**
     * 值
     */
    private String value;

    private String creator;

    private Date createDate;

    private String updator;

    private Date updated;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }
}
