package com.jay.monitor.data.server.report.alert.rule;

import com.jay.monitor.data.server.enums.MatchRuleEnums;

/**
 * 匹配值的条件
 *
 * @author liukaixiong

 * @date 2021/9/6 - 15:03
 */
public interface MatchValueCondition {

    /**
     * 匹配规则
     *
     * @return
     */
    public MatchRuleEnums matchRule();

    /**
     * 匹配方法
     *
     * @param value
     * @param matchValue
     * @return
     */
    public boolean match(Object value, String matchValue);

}
