package com.jay.monitor.data.server.store.es;

import com.jay.monitor.data.server.models.entity.es.AlertPlatformConfigIndex;
import com.jay.monitor.data.server.models.store.AlertPlatformConfig;
import com.jay.monitor.data.server.services.IAlertPlatformProcess;
import org.springframework.stereotype.Component;

/**
 * 通用的增删改查配置
 *
 * @author liukaixiong

 * @date 2021/9/7 - 14:49
 */
@Component
public class ElasticAlertPlatformProcess
    extends AbstractCRUDElasticSearch<AlertPlatformConfigIndex, AlertPlatformConfig> implements IAlertPlatformProcess {

    @Override
    public Class<AlertPlatformConfigIndex> getEntityClazz() {
        return AlertPlatformConfigIndex.class;
    }

    @Override
    public Class<AlertPlatformConfig> getReqClazz() {
        return AlertPlatformConfig.class;
    }

}
